%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	GNOME terminal
Name:		gnome-terminal
Version:	3.16.2
Release:	1

License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

Patch0:		0001-build-Don-t-treat-warnings-as-errors.patch

#Patch100:	gnome-terminal-restore-transparency.patch
Patch101:	gnome-terminal-restore-dark.patch
Patch102:	gnome-terminal-command-notify.patch

Patch150:	gnome-terminal-3.16.1-russian-for-dark-theme.patch
Patch151:	gnome-terminal-3.16.0-menu-accelerator-enabled-false.patch

BuildRequires:	gnome-doc-utils-devel
BuildRequires:	intltool itstool
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	appdata-tools
BuildRequires:	libice-devel
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(vte-2.91) >= 0.40.2
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(dconf)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	scrollkeeper
BuildRequires:	gnome-shell
BuildRequires:	yelp-tools

%description
This is the GNOME terminal emulator application.

%prep
%setup -q
%apply_patches

%build
autoreconf -f -i
%configure2_5x \
	--with-nautilus-extension \
	--with-gtk=3.0

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS HACKING
%{_bindir}/*
%{_libdir}/gnome-terminal*
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_libdir}/nautilus/extensions-3.0/*
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/gnome-shell/search-providers/gnome-terminal-search-provider.ini

%changelog

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (abe80c3) bump vte version
- (Tigro: 2241c8b) update to 3.16.2

* Mon Apr 13 2015 Tigro <ashejn@gmail.com> 3.16.1-1
- (522802d) update translation patch
- (Tigro: 3871b0b) update to 3.16.1

* Thu Mar 26 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-2
- (f872ba8) drop override file
- (Tigro: 6c3e9f5) drop override scheme file

* Thu Mar 26 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-1
- (f567c1d) set menu-accelerator-enabled to false
- (Tigro: b1f1837) use dark theme by default
- (Tigro: 9fea625) bump vte version
- (Tigro: c6f44cb) disable  gnome-terminal-restore-transparency.patch and enable translation patch
- (Tigro: ebd7fc1) update to 3.16.0

* Fri Mar 20 2015 Tigro <ashejn@yandex-team.ru> 3.15.92-2
- (afec422) set menu-accelerator-enabled=false

* Thu Mar 19 2015 Tigro <ashejn@yandex-team.ru> 3.15.92-1
- (d2d23f7) fix typo
- (Tigro: fa0b691) drop release
- (Tigro: c4d8146) redefine depends and pack files
- (Tigro: a68c9cc) update to 3.15.92

* Thu Mar 19 2015 Tigro <ashejn@yandex-team.ru> 3.15.90-1
- (1b9f904) added BR: vte-2.91
- (Tigro: f5cc56a) update to 3.15.90

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.2-2
- (e87e154) MassBuild#440: Increase release tag

* Fri May 16 2014 Tigro <ashejn@gmail.com> 3.12.2-1
- (305fc47) update to 3.12.2

* Tue May 06 2014 Tigro <ashejn@gmail.com> 3.12.1-1
- (521b046) fix path
- (Tigro: 38217c7) pack files
- (Tigro: c276a1c) added BR: pkgconfig(libnautilus-extension)
- (Tigro: ecac2ef) added BR: gnome-shell
- (Tigro: a3da0e6) added BR: appdata-tools
- (Tigro: 9aa3a52) update to 3.12.1

* Mon Feb 17 2014 Tigro <ashejn@gmail.com> 3.8.4-2
- (e1a0135) update help translation, not terminal
- (Tigro: fc02f05) update Russian translation

* Thu Sep 05 2013 Tigro <ashejn@gmail.com> 3.8.4-1
- (bbeadaf) build with vte3 package
- (Tigro: f26fd0f) update to 3.8.4

* Thu Jun 20 2013 root <root@localhost.localdomain> 3.8.3-1
- (3bd866d) sync to gnome38 branch

* Fri Oct 19 2012 Dmitry Mikhirev <mikhirev@mezon.ru> 3.6.1-1
- (c4b7c15) LOG update to 3.6.1

* Fri Oct 05 2012 Arkady L. Shane <arkady.shane@rosalab.ru> 3.6.0-1
- (b6c9423) update to 3.6.0


